from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("music", "0031_alter_track_genre"),
    ]

    operations = [
        migrations.RenameField(
            model_name="track",
            old_name="artist",
            new_name="artist_fk",
        ),
        migrations.AlterField(
            model_name="track",
            name="artist_fk",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=models.DO_NOTHING,
                related_name="+",
                to="music.artist",
            ),
        ),
        migrations.AddField(
            model_name="track",
            name="artists",
            field=models.ManyToManyField(to="music.artist"),
        ),
    ]
